%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           gwsmhg
Version:        0.13.2
Release:        10%{?dist}
Summary:        A PyGTK GUI wrapper for hg and mq

Group:          Development/Tools
License:        GPLv2
Url:            http://gwsmhg.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel desktop-file-utils
Requires:       pygtk2 pygtksourceview mercurial vte

%description
Mercurial (hg) is a distributed source control tool and Mercurial Queues (mq)
is a patch management tool extension to hg. gwsmhg is a PyGTK GUI wrapper for
hg and mq allowing them to be used in an integrated manner to manage a work
space.


%prep
%setup -q

%build
python setup.py build

%install
python setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

desktop-file-install gwsmhg.desktop \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications


%files
%defattr(-,root,root,-)
%doc COPYING copyright
%{_bindir}/gwsmhg
%{python_sitelib}/gwsmhg*
%{_datadir}/pixmaps/gwsmhg*
%{_datadir}/applications/gwsmhg.desktop


%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Jan 05 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.13.2-9
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.2-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Mar 13 2013 Mads Kiilerich <mads@kiilerich.com> - 0.13.2-1
- gwsmhg-0.13.2

* Thu Feb 21 2013 Peter Robinson <pbrobinson@fedoraproject.org> 0.13.1-2
- Merge the F17 branch into rahwide/f18, cleanup spec

* Tue Mar 13 2012 Mads Kiilerich <mads@kiilerich.com> - 0.13.1-1
- gwsmhg-0.13.1

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jun 28 2011 Mads Kiilerich <mads@kiilerich.com> - 0.13-2
- new upstream gwsmhg-0.13 package with fixed FSF address

* Mon Jun 27 2011 Mads Kiilerich <mads@kiilerich.com> - 0.13-1
- gwsmhg-0.13

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 08 2010 Mads Kiilerich <mads@kiilerich.com> - 0.12-1
- gwsmhg-0.12

* Sun Nov 07 2010 Mads Kiilerich <mads@kiilerich.com> - 0.11-1
- gwsmhg-0.11

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 18 2010 Mads Kiilerich <mads@kiilerich.com> - 0.10.1-1
- gwsmhg-0.10.1 - new upstream re-spin including terminal.py
- Add vte as a requirement due to the new terminal functionality

* Thu Jul 01 2010 Mads Kiilerich <mads@kiilerich.com> - 0.10-1
- gwsmhg-0.10

* Sat May 22 2010 Mads Kiilerich <mads@kiilerich.com> - 0.9-1
- New upstream release 0.9

* Fri Mar  5 2010 Mads Kiilerich <mads@kiilerich.com> - 0.8.4-1
- New upstream bugfix release 0.8.4

* Sun Nov 29 2009 Mads Kiilerich <mads@kiilerich.com> - 0.8.3-2
- New upstream version 0.8.3 with changes for working better on Fedora

* Wed Nov 18 2009 Mads Kiilerich <mads@kiilerich.com> - 0.8.2-1
- Update to 0.8.2 where packaging hacks has been integrated

* Fri Oct 30 2009 Mads Kiilerich <mads@kiilerich.com> - 0.8.1-2
- Move patching to prep
- Debug_package doesn't matter for noarch
- Remove .desktop Category X-Fedora

* Tue Oct 27 2009 Mads Kiilerich <mads@kiilerich.com> - 0.8.1-1.fc12
- Fedora-compliant spec, based on upstream Makefile and bdist_rpm
